using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsPriceType {
        public BemsPriceType() {
            BemsPriceFormula = new HashSet<BemsPriceFormula>();
            BemsPriceMeta = new HashSet<BemsPriceMeta>();
            BemsSitePrice = new HashSet<BemsSitePrice>();
            BemsSitePriceHistory = new HashSet<BemsSitePriceHistory>();
            FmsEnergyAnalysis = new HashSet<FmsEnergyAnalysis>();
        }

        //요금 유형
        [Display(Name = "요금 타입 ID"), Key]
        public int PriceTypeId { get; set; }
        [Display(Name = "요금 유형 이름")]
        [StringLength(200)]
        public string PriceTypeIdDesc { get; set; }
        [Display(Name = "에너지 타입 Id (전력, 가스, 수도)"), Key]
        public short? FuelTypeId { get; set; }

        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
        [InverseProperty("PriceType")]
        public virtual ICollection<BemsPriceFormula> BemsPriceFormula { get; set; }
        [InverseProperty("PriceType")]
        public virtual ICollection<BemsPriceMeta> BemsPriceMeta { get; set; }
        [InverseProperty("PriceType")]
        public virtual ICollection<BemsSitePrice> BemsSitePrice { get; set; }
        [InverseProperty("PriceType")]
        public virtual ICollection<BemsSitePriceHistory> BemsSitePriceHistory { get; set; }
        [InverseProperty("PriceType")]
        public virtual ICollection<FmsEnergyAnalysis> FmsEnergyAnalysis { get; set; }
    }
}
